twitter4j.api

## Interface ListsResourcesAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface ListsResourcesAsync

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createUserList(String listName, boolean isPublicList, String description)` Creates a new list for the authenticated user.
`void` `createUserListMember(long listId, long userId)` Adds a member to a list.
`void` `createUserListMember(long ownerId, String slug, long userId)` Adds a member to a list.
`void` `createUserListMembers(long listId, long... userIds)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`void` `createUserListMembers(long listId, String... screenNames)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`void` `createUserListMembers(long ownerId, String slug, long... userIds)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`void` `createUserListMembers(long ownerId, String slug, String... screenNames)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`void` `createUserListSubscription(long listId)` Make the authenticated user follow the specified list.
`void` `createUserListSubscription(long ownerId, String slug)` Make the authenticated user follow the specified list.
`void` `destroyUserList(long listId)` Deletes the specified list.
`void` `destroyUserList(long ownerId, String slug)` Deletes the specified list.
`void` `destroyUserListMember(long listId, long userId)` Removes the specified member from the list.
`void` `destroyUserListMember(long ownerId, String slug, long userId)` Removes the specified member from the list.
`void` `destroyUserListSubscription(long listId)` Unsubscribes the authenticated user form the specified list.
`void` `destroyUserListSubscription(long ownerId, String slug)` Unsubscribes the authenticated user form the specified list.
`void` `getUserListMembers(long listId, long cursor)` Returns the members of the specified list.
`void` `getUserListMembers(long ownerId, String slug, long cursor)` Returns the members of the specified list.
`void` `getUserListMemberships(long cursor)` List the lists the authenticating user has been added to.
`void` `getUserListMemberships(long listMemberId, long cursor)` List the lists the specified user has been added to.
`void` `getUserListMemberships(long listMemberId, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`void` `getUserListMemberships(String listMemberScreenName, long cursor)` List the lists the specified user has been added to.
`void` `getUserListMemberships(String listMemberScreenName, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`void` `getUserLists(long listOwnerUserId)` List the lists of the specified user.
`void` `getUserLists(String listOwnerScreenName)` List the lists of the specified user.
`void` `getUserListStatuses(long listId, Paging paging)` Show tweet timeline for members of the specified list.
`void` `getUserListStatuses(long ownerId, String slug, Paging paging)` Show tweet timeline for members of the specified list.
`void` `getUserListSubscribers(long listId, long cursor)` Returns the subscribers of the specified list.
`void` `getUserListSubscribers(long ownerId, String slug, long cursor)` Returns the subscribers of the specified list.
`void` `getUserListSubscriptions(String listOwnerScreenName, long cursor)` List the lists the specified user follows.
`void` `showUserList(long listId)` Show the specified list.
`void` `showUserList(long ownerId, String slug)` Show the specified list.
`void` `showUserListMembership(long listId, long userId)` Check if a user is a member of the specified list. This method calls https://api.twitter.com/1.1/lists/members/show.json
`void` `showUserListMembership(long ownerId, String slug, long userId)` Check if a user is a member of the specified list. This method calls https://api.twitter.com/1.1/lists/members/show.json
`void` `showUserListSubscription(long listId, long userId)` Check if the specified user is a subscriber of the specified list.
`void` `showUserListSubscription(long ownerId, String slug, long userId)` Check if the specified user is a subscriber of the specified list.
`void` `updateUserList(long listId, String newListName, boolean isPublicList, String newDescription)` Updates the specified list.
`void` `updateUserList(long ownerId, String slug, String newListName, boolean isPublicList, String newDescription)` Updates the specified list.

### Method Detail

#### getUserLists

    void getUserLists(String listOwnerScreenName)

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.1.1
See Also:
  GET lists | Twitter Developers

#### getUserLists

    void getUserLists(long listOwnerUserId)

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerUserId` - The id of the list owner returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.2.3
See Also:
  GET lists | Twitter Developers

#### getUserListStatuses

    void getUserListStatuses(long listId,
                             Paging paging)

Show tweet timeline for members of the specified list.
https://api.twitter.com/1/user/lists/list_id/statuses.json

Parameters:
  `listId` - The id of the list
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/statuses | Twitter Developers

#### getUserListStatuses

    void getUserListStatuses(long ownerId,
                             String slug,
                             Paging paging)

Show tweet timeline for members of the specified list.
https://api.twitter.com/1/user/lists/list_id/statuses.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/statuses | Twitter Developers

#### destroyUserListMember

    void destroyUserListMember(long listId,
                               long userId)

Removes the specified member from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `listId` - The id of the list.
  `userId` - The screen name of the member you wish to remove from the list.
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/members/destroy | Twitter Developers

#### destroyUserListMember

    void destroyUserListMember(long ownerId,
                               String slug,
                               long userId)

Removes the specified member from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The screen name of the member you wish to remove from the list.
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/destroy | Twitter Developers

#### getUserListMemberships

    void getUserListMemberships(long cursor)

List the lists the authenticating user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    void getUserListMemberships(long listMemberId,
                                long cursor)

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    void getUserListMemberships(String listMemberScreenName,
                                long cursor)

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.1.1
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    void getUserListMemberships(long listMemberId,
                                long cursor,
                                boolean filterToOwnedLists)

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberScreenName is a member of.
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    void getUserListMemberships(String listMemberScreenName,
                                long cursor,
                                boolean filterToOwnedLists)

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberScreenName is a member of.
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListSubscribers

    void getUserListSubscribers(long listId,
                                long cursor)

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `listId` - The id of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.1.1
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    void getUserListSubscribers(long ownerId,
                                String slug,
                                long cursor)

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/subscribers | Twitter Developers

#### createUserListSubscription

    void createUserListSubscription(long listId)

Make the authenticated user follow the specified list.
This method calls https://api.twitter.com/1.1/list/subscribers/create.json

Parameters:
  `listId` - The id of the list.
Since:
  Twitter4J 2.2.3
See Also:
  POST lists/subscribers/create | Twitter Developers

#### createUserListSubscription

    void createUserListSubscription(long ownerId,
                                    String slug)

Make the authenticated user follow the specified list.
This method calls https://api.twitter.com/1.1/list/subscribers/create.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/subscribers/create | Twitter Developers

#### showUserListSubscription

    void showUserListSubscription(long listId,
                                  long userId)

Check if the specified user is a subscriber of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers/show.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user who you want to know is a member or not of the specified list. , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/subscribers/show | Twitter Developers

#### showUserListSubscription

    void showUserListSubscription(long ownerId,
                                  String slug,
                                  long userId)

Check if the specified user is a subscriber of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list. , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/subscribers/show | Twitter Developers

#### destroyUserListSubscription

    void destroyUserListSubscription(long listId)

Unsubscribes the authenticated user form the specified list.
This method calls https://api.twitter.com/1.1/subscribers/destroy.json

Parameters:
  `listId` - The id of the list.
Since:
  Twitter4J 2.2.3
See Also:
  POST lists/subscribers/destroy | Twitter Developers

#### destroyUserListSubscription

    void destroyUserListSubscription(long ownerId,
                                     String slug)

Unsubscribes the authenticated user form the specified list.
This method calls https://api.twitter.com/1.1/subscribers/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/subscribers/destroy | Twitter Developers

#### createUserListMembers

    void createUserListMembers(long listId,
                               long... userIds)

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `listId` - The id of the list.
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Since:
  Twitter4J 2.1.7
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    void createUserListMembers(long ownerId,
                               String slug,
                               long... userIds)

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    void createUserListMembers(long listId,
                               String... screenNames)

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `listId` - The id of the list.
  `screenNames` - The array of screen names of the user to add as member of the list. up to 100 are allowed in a single request.
Since:
  Twitter4J 2.1.7
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    void createUserListMembers(long ownerId,
                               String slug,
                               String... screenNames)

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `screenNames` - The array of screen names of the user to add as member of the list. up to 100 are allowed in a single request.
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create_all | Twitter Developers

#### showUserListMembership

    void showUserListMembership(long listId,
                                long userId)

Check if a user is a member of the specified list.
This method calls https://api.twitter.com/1.1/lists/members/show.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/members/show | Twitter Developers

#### showUserListMembership

    void showUserListMembership(long ownerId,
                                String slug,
                                long userId)

Check if a user is a member of the specified list.
This method calls https://api.twitter.com/1.1/lists/members/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list. .getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/members/show | Twitter Developers

#### getUserListMembers

    void getUserListMembers(long listId,
                            long cursor)

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `listId` - The id of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    void getUserListMembers(long ownerId,
                            String slug,
                            long cursor)

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/members | Twitter Developers

#### createUserListMember

    void createUserListMember(long listId,
                              long userId)

Adds a member to a list. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members.
This method calls https://api.twitter.com/1.1/lists/members/create.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user to add as a member of the list.
Since:
  Twitter4J 2.1.1
See Also:
  POST lists/members/create | Twitter Developers

#### createUserListMember

    void createUserListMember(long ownerId,
                              String slug,
                              long userId)

Adds a member to a list. The authenticated user must own the list to be able to add members to it. Lists are limited to having 500 members.
This method calls https://api.twitter.com/1.1/lists/members/create.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user to add as a member of the list.
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create | Twitter Developers

#### destroyUserList

    void destroyUserList(long listId)

Deletes the specified list. Must be owned by the authenticated user.
This method calls https://api.twitter.com/1.1/lists/destroy.json

Parameters:
  `listId` - The id of the list to delete
Since:
  Twitter4J 2.1.1
See Also:
  POST lists/destroy | Twitter Developers

#### destroyUserList

    void destroyUserList(long ownerId,
                         String slug)

Deletes the specified list. Must be owned by the authenticated user.
This method calls https://api.twitter.com/1.1/lists/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/destroy | Twitter Developers

#### updateUserList

    void updateUserList(long listId,
                        String newListName,
                        boolean isPublicList,
                        String newDescription)

Updates the specified list.
This method calls https://api.twitter.com/1.1/lists/update.json

Parameters:
  `listId` - The id of the list to update.
  `newListName` - What you'd like to change the list's name to.
  `isPublicList` - Whether your list is public or private. Optional. Values can be public or private. Lists are public by default if no mode is specified.
  `newDescription` - What you'd like to change the list description to.
Since:
  Twitter4J 2.1.1
See Also:
  POST lists/update | Twitter Developers

#### updateUserList

    void updateUserList(long ownerId,
                        String slug,
                        String newListName,
                        boolean isPublicList,
                        String newDescription)

Updates the specified list.
This method calls https://api.twitter.com/1.1/lists/update.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `newListName` - What you'd like to change the list's name to.
  `isPublicList` - Whether your list is public or private. Optional. Values can be public or private. Lists are public by default if no mode is specified.
  `newDescription` - What you'd like to change the list description to.
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/update | Twitter Developers

#### createUserList

    void createUserList(String listName,
                        boolean isPublicList,
                        String description)

Creates a new list for the authenticated user. Accounts are limited to 20 lists.
This method calls https://api.twitter.com/1.1/lists/create.json

Parameters:
  `listName` - The name of the list you are creating. Required.
  `isPublicList` - set true if you wish to make a public list
  `description` - The description of the list you are creating. Optional.
Since:
  Twitter4J 2.1.1
See Also:
  POST lists/create | Twitter Developers

#### showUserList

    void showUserList(long listId)

Show the specified list. Private lists will only be shown if the authenticated user owns the specified list.
This method calls https://api.twitter.com/1.1/lists/show.json

Parameters:
  `listId` - The id of the list to show
Since:
  Twitter4J 2.2.3
See Also:
  https://dev.twitter.com/docs/api/1.1/get/lists/show | Twitter Developers

#### showUserList

    void showUserList(long ownerId,
                      String slug)

Show the specified list. Private lists will only be shown if the authenticated user owns the specified list.
This method calls https://api.twitter.com/1.1/lists/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Since:
  Twitter4J 3.0.0
See Also:
  https://dev.twitter.com/docs/api/1.1/get/lists/show | Twitter Developers

#### getUserListSubscriptions

    void getUserListSubscriptions(String listOwnerScreenName,
                                  long cursor)

List the lists the specified user follows.
This method calls https://api.twitter.com/1.1/lists/subscriptions.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Since:
  Twitter4J 2.1.1
See Also:
  GET lists/subscriptions | Twitter Developers